//
//Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package fodom;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
 * This example domestrates how to use table in pdf.
 */
public class TableExample {
    public static void main(String args[]){
    	//if you got a license, uncomment following lines
    	//	License lic  = new License();
    	//     	try {
    	//         		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
    	//     	} catch (Exception e) {
    	//     		System.out.println(e.getMessage());
    	//     	}
            
            try{
    			Pdf pdf = new Pdf();
    			
    			//add a section
    			Section sec1 = pdf.getSections().add();
    			
    	        Table table = new Table(sec1);
    	        
    	        table.setColumnWidths(new float[]{150,150});
    	        
    	        //add a row
    	        Row row1 = new Row(table);
    	        table.getRows().add(row1);
    	        
    	        Text someText = new Text(sec1,"some text");
    	        Cell cell11 = new Cell(table);
    	        cell11.getParagraphs().add(someText);
    	        row1.getCells().add(cell11);
    	        
    	        Text otherText = new Text(sec1,"some more text");
    	        Cell cell12 = new Cell(table);
    	        cell12.getParagraphs().add(otherText);
    	        row1.getCells().add(cell12);
    	        
    	        //add another row
    	        Row row2 = new Row(table);
    	        table.getRows().add(row2);
    	        
    	        Text anSomeText = new Text(sec1,"another some text");
    	        Cell cell21 = new Cell(table);
    	        cell21.getParagraphs().add(anSomeText);
    	        row2.getCells().add(cell21);
    	        
    	        Text anOtherText = new Text(sec1,"another some more text");
    	        Cell cell22 = new Cell(table);
    	        cell22.getParagraphs().add(anOtherText);
    	        row2.getCells().add(cell22);
    	        
    	        //add table to sec1
    	        sec1.getParagraphs().add(table);
    	        
    			pdf.save(new FileOutputStream(new File("exampleOutput/TableExample.pdf")));
    		}catch(java.io.IOException ioe){
    			System.out.println(ioe.getMessage());
    		}catch(AsposeBaseException e){
    			System.out.println(e.getMessage());
    		}
        }
}
